RebalanceRegionResult (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.runtime, interface: RebalanceRegionResult

Package org.apache.geode.management.runtime

# Interface RebalanceRegionResult

All Superinterfaces:
  `JsonSerializable`, `Serializable`

@Experimental public interface RebalanceRegionResult extends JsonSerializable, Serializable
Details of the rebalancing work performed for a partitioned region.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getBucketCreateBytes()`
  Returns the size, in bytes, of all of the buckets that were created as part of the rebalance operation for this region
  `int`
  `getBucketCreatesCompleted()`
  Returns the number of buckets created during the rebalance operation
  `long`
  `getBucketCreateTimeInMilliseconds()`
  Returns the time, in milliseconds, taken to create buckets for this region
  `long`
  `getBucketTransferBytes()`
  Returns the size, in bytes, of buckets that were transferred for this region.
  `int`
  `getBucketTransfersCompleted()`
  Returns the number of buckets transferred for this region.
  `long`
  `getBucketTransferTimeInMilliseconds()`
  Returns the amount of time, in milliseconds, it took to transfer buckets for this region.
  `int`
  `getNumOfMembers()`
  Returns the number of members on which rebalance operation is executed.
  `int`
  `getPrimaryTransfersCompleted()`
  Returns the number of primaries that were transferred for this region.
  `long`
  `getPrimaryTransferTimeInMilliseconds()`
  Returns the time, in milliseconds, spent transferring primaries for this region.
  `String`
  `getRegionName()`
  Returns the name of this region
  `long`
  `getTimeInMilliseconds()`
  Returns the time, in milliseconds, that the rebalance operation took for this region.

- ## Method Details

  - ### getRegionName

    String getRegionName()
    Returns the name of this region
    Returns:
      the name of the region

  - ### getBucketCreateBytes

    long getBucketCreateBytes()
    Returns the size, in bytes, of all of the buckets that were created as part of the rebalance operation for this region
    Returns:
      the size, in bytes, of all the buckets that were created

  - ### getBucketCreateTimeInMilliseconds

    long getBucketCreateTimeInMilliseconds()
    Returns the time, in milliseconds, taken to create buckets for this region
    Returns:
      the time, in milliseconds, taken to create buckets

  - ### getBucketCreatesCompleted

    int getBucketCreatesCompleted()
    Returns the number of buckets created during the rebalance operation
    Returns:
      the number of buckets created during the rebalance operation

  - ### getBucketTransferBytes

    long getBucketTransferBytes()
    Returns the size, in bytes, of buckets that were transferred for this region.
    Returns:
      the size, in bytes, of buckets that were transferred

  - ### getBucketTransferTimeInMilliseconds

    long getBucketTransferTimeInMilliseconds()
    Returns the amount of time, in milliseconds, it took to transfer buckets for this region.
    Returns:
      the amount of time, in milliseconds, it took to transfer buckets

  - ### getBucketTransfersCompleted

    int getBucketTransfersCompleted()
    Returns the number of buckets transferred for this region.
    Returns:
      the number of buckets transferred

  - ### getPrimaryTransferTimeInMilliseconds

    long getPrimaryTransferTimeInMilliseconds()
    Returns the time, in milliseconds, spent transferring primaries for this region.
    Returns:
      the time, in milliseconds, spent transferring primaries

  - ### getPrimaryTransfersCompleted

    int getPrimaryTransfersCompleted()
    Returns the number of primaries that were transferred for this region.
    Returns:
      the number of primaries that were transferred

  - ### getTimeInMilliseconds

    long getTimeInMilliseconds()
    Returns the time, in milliseconds, that the rebalance operation took for this region.
    Returns:
      the time, in milliseconds, that the rebalance operation took

  - ### getNumOfMembers

    int getNumOfMembers()
    Returns the number of members on which rebalance operation is executed.
    Returns:
      the number of members on which rebalance operation was executed